Last Comment Bug 586016 - Update JS_GetImplementationVersion for JS 1.8.5
: Update JS_GetImplementationVersion for JS 1.8.5
Status: RESOLVED FIXED
fixed-in-tracemonkey
:
Product: Core
Classification: Components
Component: JavaScript Engine (show other bugs)
: Trunk
: x86 All
: -- normal (vote)
: ---
Assigned To: Wesley W. Garland
:
Mentors:
Depends on:
Blocks: js185src
  Show dependency treegraph
 
Reported: 2010-08-10 11:24 PDT by Bob Clary [:bc:]
Modified: 2011-04-16 11:26 PDT (History)
6 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Trivial patch to tweak the version string (694 bytes, patch)
2011-03-03 07:43 PST, Wesley W. Garland
jorendorff: review+
Details | Diff | Review

Description Bob Clary [:bc:] 2010-08-10 11:24:36 PDT
Update js version to 1.8.5 and date in JS_GetImplementationVersion in jsapi.cpp for the Firefox 4 release.

Do we want to support type="text/javascript;version=1.8.5" ?
Comment 1 Jason Orendorff [:jorendorff] 2011-03-01 17:38:34 PST
(In reply to comment #0)
> Update js version to 1.8.5 and date in JS_GetImplementationVersion in jsapi.cpp
> for the Firefox 4 release.

I encourage Wes to take this bug and post the straightforward patch. I'll review. This is a zero-risk change (Gecko doesn't use the function) so I'll request approval to land it before FF4. If approval isn't granted, no big deal. You can apply the patch manually for the SM 1.8.5 source tarball, and we'll land it in the tracemonkey repo after FF4.

> Do we want to support type="text/javascript;version=1.8.5" ?

No.
Comment 2 Wesley W. Garland 2011-03-03 07:43:27 PST
Created attachment 516596 [details] [diff] [review]
Trivial patch to tweak the version string

This affects only the jsapi.cpp function. No need to tweak jsversion.h, that was already done by jimb in October.

We should probably move toward having JS_GetImplementationVersion() and jsversion.h forcefully synchronized in the future.
Comment 3 Jason Orendorff [:jorendorff] 2011-03-04 11:16:38 PST
Comment on attachment 516596 [details] [diff] [review]
Trivial patch to tweak the version string

r=me, and feel free to adjust that date to whatever we end up releasing.
Comment 4 Wesley W. Garland 2011-04-16 11:26:07 PDT
http://hg.mozilla.org/tracemonkey/rev/9f71009b8f8b

Note You need to log in before you can comment on or make changes to this bug.